#include <stdio.h>
#include <poll.h>
#include <unistd.h>
#include <fcntl.h>

#define BUFLEN 1024
char buf[BUFLEN];

int main(int argc, char *argv[]) {
	int fd0 = open(argv[1], O_RDONLY);
	int fd1 = open(argv[2], O_RDONLY);
	struct pollfd pfd[] = {{fd0, POLLIN}, {fd1, POLLIN}};
	const int pfdlen = sizeof(pfd) / sizeof(*pfd);

	while (poll(pfd, pfdlen, 1000) >= 0) {
		if (pfd[0].revents & POLLIN) {
			int n = read(pfd[0].fd, buf, BUFLEN);
			if (n <= 0) {
				close(pfd[0].fd);
				pfd[0].fd = -1;
			}
			write(1, buf, n);
		}
		if (pfd[1].revents & POLLIN) {
			int n = read(pfd[1].fd, buf, BUFLEN);
			if (n <= 0) {
				close(pfd[1].fd);
				pfd[1].fd = -1;
			}
			write(1, buf, n);
		}
		printf("tick\n");
	}
}
